% program for the calculation of Vz field of a truncated spherical layer (formula Mikuska et al., 2006)
clear all; close all;clc;  
G = 6.67E-11; sigma = 2670; R0 = 6371000; h = -4000000;
hB = 0; hT = 1000; theta1 = 1.5*3.141/180; theta2 = 180*3.141/180; ro1 = R0+hB; ro2 = R0+hT;
zc = R0+h;  i = 1;
 while zc<=R0+12000000
        pomoc = SL_pomoc(ro2,zc,theta2)-SL_pomoc(ro1,zc,theta2)-SL_pomoc(ro2,zc,theta1)+SL_pomoc(ro1,zc,theta1);
          Vz(i) = 1E5*G*sigma*2*3.141*pomoc; zcor(i) = zc/1000; hp(i) = (zc-R0)/1000;
     zc = zc + 1000; i = i + 1;
 end;
n = i-1

% plotting the Vz-function along a vertical profile
plot(Vz, hp); xlabel('Vz[mGal]','FontSize',10); ylabel('h_P [km]','FontSize',10); grid on;

% saving the Vz-function
  for ji=1:n
       savearr(ji,1) = hp(ji);
       savearr(ji,2) = Vz(ji);
  end;  
  save  spherical_layer_Vz.dat  savearr -ascii  -double;
% --------------------------------------------------------------------